Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class Attribute

    java.lang.Object
      javax.management.Attribute

All Implemented Interfaces:
  java.io.Serializable

public class Attribute
extends java.lang.Object
implements java.io.Serializable

Represents an MBean attribute by associating its name with its value. The MBean server and other objects use this class to get and set attributes values.

See Also:
  Serialized Form

Constructor Summary
`Attribute(java.lang.String name, java.lang.Object value)` Constructs an Attribute object which associates the given attribute name with the given value.

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the current Attribute Object with another Attribute Object.
`java.lang.String` | `getName()` Returns a String containing the name of the attribute.
`java.lang.Object` | `getValue()` Returns an Object that is the value of this attribute.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(java.lang.String name,
                     java.lang.Object value)

  Constructs an Attribute object which associates the given attribute name with the given value.

Parameters:
  `name` - A String containing the name of the attribute to be created. Cannot be null.
  `value` - The Object which is assigned to the attribute. This object must be of the same type as the attribute.

Method Detail

### getName

    public java.lang.String getName()

  Returns a String containing the name of the attribute.

  Returns:
    the name of the attribute.

### getValue

    public java.lang.Object getValue()

  Returns an Object that is the value of this attribute.

  Returns:
    the value of the attribute.

### equals

    public boolean equals(java.lang.Object object)

  Compares the current Attribute Object with another Attribute Object.

  Parameters:
    `object` - The Attribute that the current Attribute is to be compared with.
  Returns:
    True if the two Attribute objects are equal, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.